/* $Id: drvsub.h,v 1.3 2007/07/23 09:38:19 cvsroot Exp $ */

/* DGAP - General Analytical Positioning
 * Copyright (C) 2005 Dirk Stallmann
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef DEP_DRVSUB_INCLUDED
#define DEP_DRVSUB_INCLUDED

#include "depdef.h"

using namespace std;
using namespace GenLib2;

namespace DEP
{

/** Partial derivatives (subset) class.
 *  Subset of the partial derivatives.
 *  @author Dirk Stallmann
 */
class DerivSub : public Matrix<double>
{
public:
	/// default constructor
	DerivSub();

	/// constructor with size
	DerivSub(int nr, int nc);

	/// set index
	void index(int i) { _index = i; }

	/// get index
	int index() const { return _index; }

	/// print
	void print(ostream& os);

private:
	/// index to normal equations
	int		_index;
};

} // namespace DEP

#endif
