#ifndef DEP_STATION_INCLUDED
#define DEP_STATION_INCLUDED

#include "adjobj.h"

using namespace std;
using namespace GenLib2;

namespace DEP
{

/** Station class.
 *  Base class for all transformation parameters,
 *  e.g. the exterior orientation, DLT parameters etc.
 *
 *  @author Dirk Stallmann
 */
class Station : public AdjObject
{
public:
	/** constructor with size
	 *  @param sz number of parameters
	 */
	Station(size_t sz) : AdjObject(sz) {}

	/**@name read/write/print station parameters */
	//@{
		/// read
		virtual bool read(istream& is) = 0;

		/// write
		virtual void write(ostream& os) const = 0;

		/// print
		virtual void print(ostream& os) const = 0;
	//@}
	
	/// sum of absolute changes.
	//	virtual void sum_changes(const Vector<double>& dx,
	//		double& sum, size_t& num) const = 0;
};


// non-member functions ...

} // namespace DEP

#endif
